Subject: Re: Request for merging "python-team" branch

From: Lars-Dominik Braun <[email-masked]>
Date: Sun, 30 Jun 2024 09:31:36 +0200

Hi,

> I am going to try to start cherry picking uncontroversial and non failing patches on the python-team branch on to master and removing them from the python-team branch in order to reduce the size of the branch. I can then remove those commits from the python-team branch and force push to update it. What do you think of this approach before I attempt it? I'll wait on your guidance before doing this.

please go ahead. Divide and conquer is imo a good approach to get this branch merged. 

> Another approach I can take is to break the branch apart into 2 or 3 smaller topic branches and make requests for those branches to merge one at a time.

I’m splitting of the build-system-related changes into the
pyproject-build-system branch (again), because these are relatively
self-contained and thus easy to merge into master.

Lars